package com.kingdee.eas.custom.beisen.synchronouspos;

import com.google.common.collect.Maps;
import com.kingdee.shr.base.syssetting.MSFServiceFacadeFactory;
import org.apache.log4j.Logger;
import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;

import java.lang.String;
import java.util.Map;

public class SyncStaffOrgPosFacadeControllerBean extends AbstractSyncStaffOrgPosFacadeControllerBean
{
    private static Logger logger =
        Logger.getLogger("com.kingdee.eas.custom.beisen.synchronouspos.SyncStaffOrgPosFacadeControllerBean");

    @Override
    protected String _syncStaffManage(Context ctx, String paramData) throws BOSException {
        super._syncStaffManage(ctx, paramData);
        Object obj=null;
        try{
            Map<String, Object> map = Maps.newHashMap();
            obj = MSFServiceFacadeFactory.getLocalInstance(ctx).processService("syncStaffManageOSF", map);
        }catch (Exception e){
            e.printStackTrace();
        }
        return obj.toString();
    }
}